@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  @include flex(center, null, column);
  @include padding(28px 20px 18px);
  width: 100%;
  background-image: url('/assets/images/side-user-background.png');
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  background-color: $egyptian-blue;
  text-align: center;
}

// avatar
.app-avatar {
  @include ball(62px);
  @include flex(center, center);
  background-color: $tangerine-yellow;
}

// user name
.app-name {
  @include ubuntuMedium;
  font-size: 14px;
  line-height: 16px;
  color: $white;
  margin-top: 14px;
}

// role
.app-role {
  @include robotoRegular;
  @include flex(center);
  position: relative;
  font-size: 12px;
  line-height: 14px;
  color: $tangerine-yellow;
  margin-top: 4px;

  app-icon-toolkit {
    position: absolute;
    left: calc(100% + 3.8px);
    top: 50%;
    transform: translateY(-50%);
  }
}

// additional
.app-additional {
  @include robotoRegular;
  font-size: 12px;
  line-height: 14px;
  color: $white;
  margin-top: 15px;
}
